libvisio::VSDCharIX Class Reference
Inheritance diagram for libvisio::VSDCharIX:

## Public Member Functions

VSDCharIX (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth)

| VSDCharIX (unsigned id, unsigned level, const VSDOptionalCharStyle &style)
| ~VSDCharIX () override
void | handle (VSDCollector *collector) const override
VSDCharacterListElement * | clone () override
unsigned | getCharCount () const override
void | setCharCount (unsigned charCount) override
Public Member Functions inherited from libvisio::VSDCharacterListElement
| VSDCharacterListElement (unsigned id, unsigned level)
virtual | ~VSDCharacterListElement ()

## Public Attributes

VSDOptionalCharStyle | m_style
Public Attributes inherited from libvisio::VSDCharacterListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDCharIX() [1/2]

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )

inline

Referenced by clone().

## VSDCharIX() [2/2]

libvisio::VSDCharIX::VSDCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalCharStyle & | style )

inline

## ~VSDCharIX()

libvisio::VSDCharIX::~VSDCharIX | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDCharacterListElement * libvisio::VSDCharIX::clone | ( |  | ) |

override virtual

Implements libvisio::VSDCharacterListElement.

## getCharCount()

unsigned libvisio::VSDCharIX::getCharCount | ( |  | ) | const

inline override virtual

Implements libvisio::VSDCharacterListElement.

## handle()

void libvisio::VSDCharIX::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDCharacterListElement.

## setCharCount()

void libvisio::VSDCharIX::setCharCount | ( | unsigned | charCount | ) |

inline override virtual

Implements libvisio::VSDCharacterListElement.

## Member Data Documentation

## m_style

VSDOptionalCharStyle libvisio::VSDCharIX::m_style

Referenced by libvisio::VSDCharacterList::addCharIX(), clone(), getCharCount(), handle(), setCharCount(), VSDCharIX(), and VSDCharIX().

The documentation for this class was generated from the following file:

- VSDCharacterList.cpp